<include src="{{LISTBOX_PATH}}listbox.html" />

<webbox id="discountList">

<table width="100%">
  <tr>
    <td><strong>T_("Discounts")</strong></td>
    <td align="right">
      T_("Month"):
      <webobject class="listbox" name="month" rs="rs_months" 
                 value="{{discountList->month}}" 
	         onchange="set_discount_month(this)" />
    </td>
  </tr>
</table>

<table id="discountList" cellspacing="1">
  <tr class="list_header">
    <td width="2%">T_("Nr")</td>
    <td>T_("Name")</td>
    <td>T_("Value")</td>
    <if condition="'{{editable}}'=='true'">
      <td width="1%" nowrap="true">T_("Del")</td>
    </if>
  </tr>

  <repeat rs="discountList_rs">
    <ifempty>
      <tr><td class="list_empty" colspan="15">T_("Empty List!")</td></tr>
    </ifempty>
    <repeatbody>
      <var name="row">({{CurrentRowNr}}%2)</var>
      <tr class="list_row_{{row}}">
        <td class="list_nr_{{row}}" width="2%">{{CurrentRecNr}}</td>
        <td>{{discount_name}}</td>
        <td align="right">{{discount_value}}</td>
        <if condition="'{{editable}}'=='true'">
        <td width="20" nowrap="true" align="center">
          <a class="button" href="javascript:del_discount('{{discount_id}}')">
	    T_("X")</a>
        </td>
	</if>
      </tr>
    </repeatbody>
  </repeat>

  <!--# add a new discount in the list #-->
  <if condition="'{{editable}}'=='true'">
  <form name="add_discount" onsubmit="return false;">
  <tr class="list_row_edit">
    <td class="list_nr_edit">&amp;gt;&amp;gt;</td>
    <td>
      <webobject class="listbox" name="discount_name" rs="rs_discount_names" />
    </td>
    <td>
      <input type="text" id="discount_value" name="discount_value" size="10" />
    </td>
    <td align="center">
      <a class="button" href="javascript:add()">T_("Add")</a>
      <input type="submit" class="hidden_submit" value=""
	     onclick="this.focus(); add()" />
    </td>
  </tr>
  </form>
  </if>

</table>

</webbox>
